org.apache.poi.hwpf.usermodel

## Class ShadingDescriptor80

- java.lang.Object
- - org.apache.poi.hwpf.model.types.SHD80AbstractType
  - - org.apache.poi.hwpf.usermodel.ShadingDescriptor80

- All Implemented Interfaces:
    Duplicatable

      public final class ShadingDescriptor80
      extends SHD80AbstractType
      implements Duplicatable

  The SHD80 is a substructure of the CHP and PAP, and TC for Word 97.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.SHD80AbstractType

      `field_1_value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadingDescriptor80()`
    `ShadingDescriptor80(byte[] buf, int offset)`
    `ShadingDescriptor80(ShadingDescriptor80 other)`
    `ShadingDescriptor80(short value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShadingDescriptor80` | `clone()` Deprecated.
    `ShadingDescriptor80` | `copy()`
    `boolean` | `isEmpty()`
    `byte[]` | `serialize()`
    `ShadingDescriptor` | `toShadingDescriptor()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.SHD80AbstractType

      `equals, fillFields, getIcoBack, getIcoFore, getIpat, getSize, getValue, hashCode, serialize, setIcoBack, setIcoFore, setIpat, setValue`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadingDescriptor80

          public ShadingDescriptor80()

    - #### ShadingDescriptor80

          public ShadingDescriptor80(ShadingDescriptor80 other)

    - #### ShadingDescriptor80

          public ShadingDescriptor80(byte[] buf,
                                     int offset)

    - #### ShadingDescriptor80

          public ShadingDescriptor80(short value)

  - ### Method Detail

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public ShadingDescriptor80 clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public ShadingDescriptor80 copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### isEmpty

          public boolean isEmpty()

    - #### serialize

          public byte[] serialize()

      Overrides:
        `serialize` in class `SHD80AbstractType`

    - #### toShadingDescriptor

          public ShadingDescriptor toShadingDescriptor()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `SHD80AbstractType`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.